import { CacheableOptions } from './CacheableOptions';
export declare function globalInit(target: unknown): void;
export declare function localStorageInit(getStore: () => unknown): void;
export declare function globalClear(target: unknown, methodName: string): void;
export declare function localStorageClear(target: unknown, methodName: string): void;
export declare function globalDelete(target: unknown, methodName: string, args: any[]): void;
export declare function localStorageDelete(target: unknown, methodName: string, args: any[]): void;
export declare function globalGet(target: unknown, methodName: string, args: any[]): any;
export declare function localStorageGet(target: unknown, methodName: string, args: any[]): any;
export declare function globalSet(target: unknown, methodName: string, args: any[], val: any): void;
export declare function localStorageSet(target: unknown, methodName: string, args: any[], val: any): void;
export declare function globalMethods(target: unknown): Set<string>;
export declare function globalKeys(target: unknown, methodName: string): string[];
export declare function localStorageMethods(target: unknown): Set<string>;
export declare function localStorageKeys(target: unknown, methodName: string): string[];
export declare function Cacheable(options?: Partial<CacheableOptions>): (_target: unknown, _propertyKey: string, descriptor: TypedPropertyDescriptor<any>) => void;
